# Install brew if not already installed/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"# Check if wget is installedbrew list --versions wget# Upgrade wget if already installedbrew upgrade wget# Install wget if not already installedbrew install wget libx11 --cask xquartz# Update all brew packagesbrew update && bre upgrade
sudo tar -zxvf livepeer-linux-amd64.tar.gzsudo rm livepeer-linux-amd64.tar.gzsudo mv livepeer-linux-amd64/* /usr/local/bin/
3
Run the Gateway
Off-Chain Gateways
On-Chain Gateways
Off-chain mode is the default network and requires no blockchain connectivity (no wallet or RPC).
defaultNetwork := “offchain”
run the Gateway
Copy
Ask AI
# Run the gatewaylivepeer -gateway
You will need to Generate Keystore File
When generating a new keystore file, the program will prompt you for a
password. This password is used to decrypt the keystore file and access the
private key. Make sure to never share or lose access to either the password or
the keystore file
Run the Gateway
Copy
Ask AI
# Set your Arbitrum RPC URLexport RPC_URL="<YOUR_ARBITRUM_RPC_URL>"# Run the gatewaylivepeer -network arbitrum-one-mainnet -ethUrl $RPC_URL -gateway
Output Example
Off-Chain Gateway Example Output
Copy
Ask AI
>_ livepeer -gateway *---------*------* | Gateway | true | *---------*------* I1222 12:37:23.339916 97244 starter.go:537] ***Livepeer is running on the offchain network*** I1222 12:37:23.340276 97244 starter.go:554] Creating data dir: /Users/<me>/.lpData/offchain I1222 12:37:23.344584 97244 starter.go:723] ***Livepeer is in off-chain mode*** E1222 12:37:23.345022 97244 starter.go:1586] No orchestrator specified; transcoding will not happen I1222 12:37:23.350972 97244 starter.go:1827] ***Livepeer Running in Gateway Mode*** I1222 12:37:23.350991 97244 starter.go:1828] Video Ingest Endpoint - rtmp://127.0.0.1:1935 I1222 12:37:23.351002 97244 starter.go:1837] Livepeer Node version: 0.8.8 I1222 12:37:23.351124 97244 mediaserver.go:247] HTTP Server listening on http://127.0.0.1:9935 I1222 12:37:23.351398 97244 webserver.go:20] CLI server listening on 127.0.0.1:5935
Jump to Configuration to
finish configuring the Gateway